package com.inspect.metadata.statis.service;

import com.inspect.metadata.statis.domain.BasedataStatisRobotUavOnlineDay;

import java.util.List;

public interface IBasedataStatisRobotUavOnlineDayService {
    BasedataStatisRobotUavOnlineDay selectBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatId(Long statId);

    List<BasedataStatisRobotUavOnlineDay> selectBasedataStatisRobotuavOnlineDayList(BasedataStatisRobotUavOnlineDay onlineDay);

    int insertBasedataStatisRobotUavOnlineDay(BasedataStatisRobotUavOnlineDay onlineDay);

    int updateBasedataStatisRobotUavOnlineDay(BasedataStatisRobotUavOnlineDay onlineDay);

    int deleteBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatIds(Long[] statIds);

    int deleteBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatId(Long statId);
}
